<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>cn.com.liandisys</groupId>
  <artifactId>ycjt-ggcx</artifactId>
  <packaging>war</packaging>
  <version>2.1-SNAPSHOT</version>
  <name>ycjt-ggcx Maven Webapp</name>
  <url>http://maven.apache.org</url>
  
  <!-- 定义相关属性 -->  
  <properties>  
    <jdk-version>1.7</jdk-version>  
    <junit-version>4.11</junit-version>  
    <spring-version>4.2.8.RELEASE</spring-version>
    <shiro.version>1.2.2</shiro.version>
    <ehcache.version>2.6.0</ehcache.version>
    <jackson.version>2.2.3</jackson.version>
    <commons-lang3.version>3.3.2</commons-lang3.version>
	<commons-io.version>2.4</commons-io.version>
    <commons-codec.version>1.9</commons-codec.version>
    <commons-fileupload.version>1.3.1</commons-fileupload.version>
    <guava.version>17.0</guava.version>
    <ehcache.version>2.6.11</ehcache.version>
	<ehcache-web.version>2.0.4</ehcache-web.version>
	<sitemesh.version>2.4.2</sitemesh.version>
  </properties> 
   <!-- 设定除中央仓库(repo1.maven.org/maven2/)外的其他仓库,按设定顺序进行查找. -->
	<repositories>
		<!-- LDNS Nexus私服 -->
		<repository>
			<id>nexus</id>
			<name>Team Nexus Repository</name>
			<url>http://172.16.4.110:8081/nexus/content/groups/public</url>
		</repository>
	</repositories>
	
	<pluginRepositories>
		<!-- 插件仓库 LDNS Nexus私服 -->
		<pluginRepository>
			<id>nexus</id>
			<name>Team Nexus Repository</name>
			<url>http://172.16.4.110:8081/nexus/content/groups/public</url>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</pluginRepository>
	</pluginRepositories>
  <!-- 设定除中央仓库(repo1.maven.org/maven2/)外的其他仓库,按设定顺序进行查找. -->
  
  <!-- 定义依赖包 -->  
   <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>test</scope>
    </dependency>
    
	<!-- spring begin-->
    <dependency>
    	<groupId>org.springframework</groupId>
    	<artifactId>spring-core</artifactId>
    	<version>${spring-version}</version>
    	<exclusions>
    		<exclusion>
    			<artifactId>commons-logging</artifactId>
    			<groupId>commons-logging</groupId>
    		</exclusion>
    	</exclusions>
    </dependency>
    
    <dependency>
    	<groupId>org.springframework</groupId>
    	<artifactId>spring-beans</artifactId>
    	<version>${spring-version}</version>
    </dependency>
    
    <dependency>
    	<groupId>org.springframework</groupId>
    	<artifactId>spring-web</artifactId>
    	<version>${spring-version}</version>
    </dependency>
    
    <dependency>
    	<groupId>org.springframework</groupId>
    	<artifactId>spring-webmvc</artifactId>
    	<version>${spring-version}</version>
    </dependency>
    
    <dependency>
    	<groupId>org.springframework</groupId>
    	<artifactId>spring-context</artifactId>
    	<version>${spring-version}</version>
    </dependency>
    
    <dependency>
    	<groupId>org.springframework.data</groupId>
    	<artifactId>spring-data-jpa</artifactId>
    	<version>1.7.0.RELEASE</version>
    </dependency>
    <!-- spring end-->
    
    <!-- hibernate begin -->  
    <dependency>  
        <groupId>org.hibernate</groupId>  
        <artifactId>hibernate-core</artifactId>  
        <version>4.2.1.Final</version>  
    </dependency>  
     
     <dependency>  
        <groupId>org.hibernate</groupId>  
        <artifactId>hibernate-entitymanager</artifactId>  
        <version>4.2.1.Final</version>  
    </dependency>  
    <dependency>  
        <groupId>org.hibernate.common</groupId>  
        <artifactId>hibernate-commons-annotations</artifactId>  
        <version>4.0.1.Final</version>  
    </dependency>
    <dependency>
		<groupId>org.hibernate</groupId>
		<artifactId>hibernate-validator</artifactId>
		<version>5.1.3.Final</version>
	</dependency> 
	<dependency>
		<groupId>org.hibernate</groupId>
		<artifactId>hibernate-c3p0</artifactId>
		<version>4.2.1.Final</version>
	</dependency> 
    <!-- hibernate end -->
    
    <!-- SECURITY begin -->
	<dependency>
		<groupId>org.apache.shiro</groupId>
		<artifactId>shiro-core</artifactId>
		<version>${shiro.version}</version>
	</dependency>
	<dependency>
		<groupId>org.apache.shiro</groupId>
		<artifactId>shiro-spring</artifactId>
		<version>${shiro.version}</version>
	</dependency>
	<dependency>
		<groupId>org.apache.shiro</groupId>
		<artifactId>shiro-cas</artifactId>
		<version>${shiro.version}</version>
		<exclusions>
			<exclusion>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
			</exclusion>
		</exclusions>
	</dependency>
	<dependency>
		<groupId>org.apache.shiro</groupId>
		<artifactId>shiro-web</artifactId>
		<version>${shiro.version}</version>
	</dependency>
	<dependency>
		<groupId>org.apache.shiro</groupId>
		<artifactId>shiro-ehcache</artifactId>
		<version>${shiro.version}</version>
	</dependency>
	<!-- SECURITY end -->
	
	<!-- CACHE begin -->
	<dependency>
		<groupId>net.sf.ehcache</groupId>
		<artifactId>ehcache-core</artifactId>
		<version>${ehcache.version}</version>
	</dependency>
	<dependency>
		<groupId>net.sf.ehcache</groupId>  
		<artifactId>ehcache-web</artifactId>  
		<version>${ehcache-web.version}</version>
	</dependency>
	<dependency>
		<groupId>redis.clients</groupId>
		<artifactId>jedis</artifactId>
		 <version>2.5.1</version>
	</dependency>
	<!-- CACHE end -->
    
    <!-- jackson json -->
	<dependency>
		<groupId>com.fasterxml.jackson.core</groupId>
		<artifactId>jackson-core</artifactId>
		<version>${jackson.version}</version>
	</dependency>
	<dependency>
		<groupId>com.fasterxml.jackson.core</groupId>
		<artifactId>jackson-databind</artifactId>
		<version>${jackson.version}</version>
	</dependency>
	<dependency>
		<groupId>com.fasterxml.jackson.core</groupId>
		<artifactId>jackson-annotations</artifactId>
		<version>${jackson.version}</version>
	</dependency>
	<dependency>
		<groupId>com.fasterxml.jackson.module</groupId>
		<artifactId>jackson-module-jaxb-annotations</artifactId>
		<version>${jackson.version}</version>
	</dependency>
	
	<!-- log begin -->
    <dependency>
	  <groupId>log4j</groupId>
	  <artifactId>log4j</artifactId>
	  <version>1.2.17</version>
	</dependency>
	 <dependency>  
        <groupId>org.slf4j</groupId>  
        <artifactId>slf4j-api</artifactId>  
        <version>1.7.5</version>  
    </dependency>  
    <dependency>  
        <groupId>org.slf4j</groupId>  
        <artifactId>jcl-over-slf4j</artifactId>  
        <version>1.7.5</version>  
    </dependency>  
    <dependency>  
        <groupId>org.slf4j</groupId>  
        <artifactId>slf4j-log4j12</artifactId>  
        <version>1.7.5</version>  
    </dependency> 
	<dependency>
	    <groupId>commons-logging</groupId>
	    <artifactId>commons-logging</artifactId>
	    <version>1.1.3</version>
	</dependency> 
    <!-- log end -->
	
	<!-- optional datasource pool -->
	<dependency>
    	<groupId>commons-dbcp</groupId>
        <artifactId>commons-dbcp</artifactId>
        <version>1.4</version>
    </dependency>

    <dependency>
		<groupId>commons-pool</groupId>
		<artifactId>commons-pool</artifactId>
		<version>1.6</version>
	</dependency>
	<!-- PERSISTENCE end -->
	
    <dependency>
    	<groupId>org.springframework</groupId>
    	<artifactId>spring-tx</artifactId>
    	<version>4.0.9.RELEASE</version>
    </dependency>
    <dependency>
		<groupId>jstl</groupId>
		<artifactId>jstl</artifactId>
		<version>1.2</version>
	</dependency>
    
	<dependency>
	    <groupId>commons-lang</groupId>
	    <artifactId>commons-lang</artifactId>
	    <version>2.6</version>
	</dependency>
	
	<dependency>
		<groupId>org.apache.commons</groupId>
		<artifactId>commons-lang3</artifactId>
		<version>${commons-lang3.version}</version>
	</dependency>
	<dependency>
		<groupId>commons-io</groupId>
		<artifactId>commons-io</artifactId>
		<version>${commons-io.version}</version>
	</dependency>
	
	<dependency>
		<groupId>commons-codec</groupId>
		<artifactId>commons-codec</artifactId>
		<version>${commons-codec.version}</version>
	</dependency>
    <dependency>
	    <groupId>commons-fileupload</groupId>
	    <artifactId>commons-fileupload</artifactId>
	    <version>${commons-fileupload.version}</version>
	</dependency>
	<dependency>
	    <groupId>commons-collections</groupId>
	    <artifactId>commons-collections</artifactId>
	    <version>3.2.1</version>
	</dependency>
	
	<dependency>
	    <groupId>org.codehaus.jackson</groupId>
	    <artifactId>jackson-mapper-asl</artifactId>
	    <version>1.9.13</version>
	</dependency>
	
	<dependency>
	    <groupId>org.codehaus.jackson</groupId>
	    <artifactId>jackson-core-asl</artifactId>
	    <version>1.9.13</version>
	</dependency>

	<dependency>
	  <groupId>com.oracle</groupId>
	  <artifactId>ojdbc6</artifactId>
	  <version>6_g</version>
	</dependency>
	
	<!-- google java lib -->
	<dependency>
		<groupId>com.google.guava</groupId>
		<artifactId>guava</artifactId>
		<version>${guava.version}</version>
	</dependency>
    
    <!-- log4jdbc -->
	<dependency>
		<groupId>org.bgee.log4jdbc-log4j2</groupId>
		<artifactId>log4jdbc-log4j2-jdbc4</artifactId>
		<version>1.16</version>
		<scope>runtime</scope>
	</dependency>
	<!-- log4jdbc end -->
	
	<dependency>
	    <groupId>org.codehaus.jackson</groupId>
	    <artifactId>jackson-jaxrs</artifactId>
	    <version>1.9.13</version>
	</dependency>
	
    <dependency>
    	<groupId>net.sf.json-lib</groupId>
    	<artifactId>json-lib</artifactId>
    	<version>2.2.3</version>
    	<classifier>jdk13</classifier>
    </dependency>
   	<dependency>
	    <groupId>org.springframework.data</groupId>
	    <artifactId>spring-data-commons</artifactId>
	    <version>1.9.0.RELEASE</version>
	</dependency>
	
	<dependency>
		<groupId>opensymphony</groupId>
		<artifactId>sitemesh</artifactId>
		<version>${sitemesh.version}</version>
	</dependency>
	
	<!-- CKFinder begin -->
	<dependency>
		<groupId>net.coobird</groupId>
		<artifactId>thumbnailator</artifactId>
		<version>0.4.2</version>
	</dependency>
	<dependency>
		<groupId>com.ckfinder</groupId>
		<artifactId>apache-ant-zip</artifactId>
		<version>2.3</version>
	</dependency>
	<dependency>
		<groupId>com.ckfinder</groupId>
		<artifactId>ckfinder</artifactId>
		<version>2.3</version>
	</dependency>
	<dependency>
		<groupId>com.ckfinder</groupId>
		<artifactId>ckfinderplugin-fileeditor</artifactId>
		<version>2.3</version>
	</dependency>
	<dependency>
		<groupId>com.ckfinder</groupId>
		<artifactId>ckfinderplugin-imageresize</artifactId>
		<version>2.3</version>
	</dependency>
	<dependency>
	 	<groupId>org.jsoup</groupId>
	 	<artifactId>jsoup</artifactId>
	 	<version>1.10.1</version>
	 </dependency>
	<!-- CKFinder end -->
	<dependency>
		<groupId>org.apache.axis2</groupId>
		<artifactId>axis2-adb</artifactId>
		<version>1.7.1</version>
		 <exclusions>  
            <exclusion>  
                <groupId>javax.servlet</groupId>  
                <artifactId>servlet-api</artifactId>  
            </exclusion>  
        </exclusions>
	</dependency>
	<!-- https://mvnrepository.com/artifact/org.apache.axis2/axis2-transport-local -->
	<dependency>
	    <groupId>org.apache.axis2</groupId>
	    <artifactId>axis2-transport-local</artifactId>
	    <version>1.7.1</version>
	</dependency>
	<!-- https://mvnrepository.com/artifact/org.apache.axis2/axis2-transport-http -->
	<dependency>
	    <groupId>org.apache.axis2</groupId>
	    <artifactId>axis2-transport-http</artifactId>
	    <version>1.7.1</version>
	</dependency>
	<!-- axis 1.4 jar start -->
        <dependency>
            <groupId>org.apache.axis</groupId>
            <artifactId>axis</artifactId>
            <version>1.4</version>
        </dependency>
        <dependency>
            <groupId>commons-discovery</groupId>
            <artifactId>commons-discovery</artifactId>
            <version>0.2</version>
            <exclusions>
                <exclusion>
                    <groupId>commons-logging</groupId>
                    <artifactId>commons-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.apache.axis</groupId>
            <artifactId>axis-jaxrpc</artifactId>
            <version>1.4</version>
        </dependency>
        <dependency>
            <groupId>org.apache.axis</groupId>
            <artifactId>axis-saaj</artifactId>
            <version>1.4</version>
        </dependency>
        <dependency>
            <groupId>wsdl4j</groupId>
            <artifactId>wsdl4j</artifactId>
            <version>1.4</version>
        </dependency>
        <!-- axis 1.4 jar end -->
       <dependency>
		    <groupId>org.jdom</groupId>
		    <artifactId>jdom</artifactId>
		    <version>1.1.2</version>
		</dependency>
		<dependency>
		    <groupId>com.alibaba</groupId>
		    <artifactId>fastjson</artifactId>
		    <version>1.2.31</version>
		</dependency>
		<!-- 		增加类似说明，防止报错 -->
		 <dependency>
            <groupId>jaxen</groupId>
            <artifactId>jaxen</artifactId>
            <version>1.1.3</version>
            <exclusions>
                <exclusion>
                    <artifactId>maven-cobertura-plugin</artifactId>
                    <groupId>maven-plugins</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>maven-findbugs-plugin</artifactId>
                    <groupId>maven-plugins</groupId>
                </exclusion>
            </exclusions>
		</dependency>
		<!-- 		APP消息推送 -->
		<dependency>
		    <groupId>cn.jpush.api</groupId>
		    <artifactId>jpush-client</artifactId>
		    <version>3.3.0</version>
		</dependency>
		 <dependency>
		        <groupId>cn.jpush.api</groupId>
		        <artifactId>jiguang-common</artifactId>
		        <version>1.0.8</version>
	    </dependency>
	    <dependency>
	        <groupId>io.netty</groupId>
	        <artifactId>netty-all</artifactId>
	        <version>4.1.6.Final</version>
	        <scope>compile</scope>
	    </dependency>
	    <dependency>
	        <groupId>com.google.code.gson</groupId>
	        <artifactId>gson</artifactId>
	        <version>2.3</version>
	    </dependency>
	    <dependency>
	        <groupId>org.slf4j</groupId>
	        <artifactId>slf4j-api</artifactId>
	        <version>1.7.7</version>
	    </dependency>
	
	    <!-- For log4j -->
	    <dependency>
	        <groupId>org.slf4j</groupId>
	        <artifactId>slf4j-log4j12</artifactId>
	        <version>1.7.7</version>
	    </dependency>
	    <dependency>
	        <groupId>log4j</groupId>
	        <artifactId>log4j</artifactId>
	        <version>1.2.17</version>
	    </dependency>
		
  </dependencies>
    
  <!-- 配置构建 -->  
  <build>  
    <plugins>
			<!-- 指定JDK版本 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.7</source>
					<target>1.7</target>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
			<!-- ant插件 -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-antrun-plugin</artifactId>
				<version>${jdk-version}</version>
			</plugin>
		</plugins>
 </build>  
</project>